/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.project.dto.project;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：系统基本信息表
*
* createdate:  2021-09-09 01:38:32  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "系统基本信息列表查询dto")
public class CpProjectQueryDto implements Serializable
{
  // TODO 请完成查询接口的查询条件
    /**
     * 系统名称<br>
     */
    @ApiModelProperty("系统名称")
    private String name;
    /**
     * 系统类型<br>
     */
    @ApiModelProperty("系统类型")
    private String projectType;
    private List<String> projectTypes;

    /**
     * 系统状态<br>
     */
    @ApiModelProperty("系统状态")
    private Integer status;
    /**
     * 系统模板<br>
     */
    @ApiModelProperty("系统模板")
    private String templateName;

    /**
     * 系统层级定义
     */
    @ApiModelProperty("系统层级定义")
    private String layerType;

    /**
     * 系统选中的软件<br>
     */
    @ApiModelProperty("系统选中的软件")
    private String softwareId;

    /**
     * 是否删除
     * @return
     */
    @ApiModelProperty("是否删除")
    private Boolean deleted;

    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    private List<String> rootIds;

    private List<String> idOfUsers;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public List<String> getProjectTypes() {
        return projectTypes;
    }

    public void setProjectTypes(List<String> projectTypes) {
        this.projectTypes = projectTypes;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getLayerType() {
        return layerType;
    }

    public void setLayerType(String layerType) {
        this.layerType = layerType;
    }

    public String getSoftwareId() {
        return softwareId;
    }

    public void setSoftwareId(String softwareId) {
        this.softwareId = softwareId;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<String> getRootIds() {
        return rootIds;
    }

    public void setRootIds(List<String> rootIds) {
        this.rootIds = rootIds;
    }

    public List<String> getIdOfUsers() {
        return idOfUsers;
    }

    public void setIdOfUsers(List<String> idOfUsers) {
        this.idOfUsers = idOfUsers;
    }
}